libzypp: zypp::misc::testcase::LoadTestcase Class Reference

libzypp 17.38.7

zypp::misc::testcase::LoadTestcase Class Reference

`#include <zypp/misc/LoadTestcase.h>`

Inheritance diagram for zypp::misc::testcase::LoadTestcase:

## Classes
struct | Impl

## Public Types
enum | Type { None , Helix , Yaml }
using | TestcaseTrials = std::vector<TestcaseTrial>

## Public Member Functions
| LoadTestcase ()
| ~LoadTestcase ()
bool | loadTestcaseAt (const zypp::Pathname &path, std::string *err)
const TestcaseSetup & | setupInfo () const
const TestcaseTrials & | trialInfo () const

## Static Public Member Functions
static Type | testcaseTypeAt (const zypp::Pathname &path)

## Private Attributes
std::unique_ptr< Impl > | _pimpl

## Detailed Description

Definition at line 59 of file LoadTestcase.h.

## Member Typedef Documentation

## ◆ TestcaseTrials

using zypp::misc::testcase::LoadTestcase::TestcaseTrials = std::vector<TestcaseTrial>

Definition at line 63 of file LoadTestcase.h.

## Member Enumeration Documentation

## ◆ Type

enum zypp::misc::testcase::LoadTestcase::Type

Enumerator
None |
Helix |
Yaml |

Definition at line 65 of file LoadTestcase.h.

## Constructor & Destructor Documentation

## ◆ LoadTestcase()

zypp::misc::testcase::LoadTestcase::LoadTestcase | ( |  | ) |

Definition at line 194 of file LoadTestcase.cc.

## ◆ ~LoadTestcase()

zypp::misc::testcase::LoadTestcase::~LoadTestcase | ( |  | ) |

Definition at line 197 of file LoadTestcase.cc.

## Member Function Documentation

## ◆ loadTestcaseAt()

bool zypp::misc::testcase::LoadTestcase::loadTestcaseAt | ( | const zypp::Pathname & | path,
|  | std::string * | err )

Definition at line 200 of file LoadTestcase.cc.

## ◆ testcaseTypeAt()

LoadTestcase::Type zypp::misc::testcase::LoadTestcase::testcaseTypeAt | ( | const zypp::Pathname & | path | ) |
| static

Definition at line 222 of file LoadTestcase.cc.

## ◆ setupInfo()

const TestcaseSetup & zypp::misc::testcase::LoadTestcase::setupInfo | ( |  | ) | const

Definition at line 232 of file LoadTestcase.cc.

## ◆ trialInfo()

const LoadTestcase::TestcaseTrials & zypp::misc::testcase::LoadTestcase::trialInfo | ( |  | ) | const

Definition at line 237 of file LoadTestcase.cc.

## Member Data Documentation

## ◆ _pimpl

std::unique_ptr<Impl> zypp::misc::testcase::LoadTestcase::_pimpl
| private

Definition at line 81 of file LoadTestcase.h.

The documentation for this class was generated from the following files:

- zypp/misc/LoadTestcase.h
- zypp/misc/LoadTestcase.cc